Subject: Re: bug#57800: TRAMP insert-file-contents now fails for regions

From: Paul Pogonyshev <[email-masked]>
Date: Sat, 1 Oct 2022 18:16:01 +0200

> However, the cache doesn't keep its own version, it uses just the Tramp
> version for check.

Yeah, as long as it is not expensive, it won't hurt to throw it away
whenever Tramp version changes, even if cache format stays the same,
just to be sure.

Paul

On Sat, 1 Oct 2022 at 17:19, Michael Albinus <[email-masked]> wrote:

> Paul Pogonyshev <[email-masked]> writes:
>
> Hi Paul,
>
> > Thanks. I suggest also adding a simple "version" to the cache.
> > Whenever you make an incompatible change in the future, bump this
> > version. And also make Tramp automatically discard all cached values
> > when they come from a different (earlier or even a later) version.
> > Otherwise something like this will certainly happen again sooner or
> > later and will cost both the person bumping into it and you or whoever
> > responds to the bugreport a lot of time again.
>
> That's a good idea, thanks! I've pushed a respective change to master.
>
> However, the cache doesn't keep its own version, it uses just the Tramp
> version for check. Using an own cache version is error-prone, there are
> good chances to forget to change it when needed. At least *I* would
> forget it always, as far as I know me.
>
> > Paul
>
> Best regards, Michael.
>